%define name    usb_modeswitch
%define version 1.0.5
%define	fver	%{version}
%define rel	1

Name:           %{name}
Summary:        Activating Switchable USB Devices on Linux
Version:        %{version}
Release:        %mkrel %{rel}
License:        GPL
Source:         http://www.draisberghof.de/usb_modeswitch/usb_modeswitch-%{fver}.tar.bz2
URL:            http://www.draisberghof.de/usb_modeswitch/
Group:          System/Configuration/Hardware
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	kernel-source
BuildRequires:	libusb-devel
Requires:	sysfsutils

%description
USB_ModeSwitch is a mode switching tool for controlling "flip flop"
(multiple device) USB gear.

Several new USB devices (especially high-speed wireless WAN stuff,
they're expensive anyway) have their Windows drivers onboard; when
plugged in for the first time they act like a flash storage and start
installing the driver from there. After that (and on every consecutive
plugging) this driver switches the mode internally, the storage device
vanishes (in most cases), and a new device (like an USB modem) shows
up. The WWAN gear maker Option calls that feature "ZeroCD (TM)".


%prep
%setup -q -n %{name}-%{fver}

%build
rm -f usb_modeswitch
gcc -O -o usb_modeswitch usb_modeswitch.c -l usb

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir} \
	%{buildroot}%{_sysconfdir} \
	%{buildroot}%{_sysconfdir}/udev/rules.d

install -m 755 usb_modeswitch %{buildroot}%{_sbindir}
install -m 644 usb_modeswitch.conf %{buildroot}%{_sysconfdir}

cat > %{buildroot}%{_sysconfdir}/udev/rules.d/91-usb_modeswitch.rules <<EOF
SUBSYSTEMS=="usb", ATTRS{idVendor}=="05c6", ATTRS{idProduct}=="1000", RUN+="%{_sbindir}/usb_modeswitch"
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sbindir}/*
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/usb_modeswitch.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/udev/rules.d/91-usb_modeswitch.rules



%changelog
* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.5-1mdv2010.0
+ Revision: 444922
- Update to new version 1.0.5

* Wed May 27 2009 Olivier Blin <oblin@mandriva.com> 0.9.7-1mdv2010.0
+ Revision: 380126
- 0.9.7 (with automatic default endpoint detection)
- remove patch defaulting to gtmax72 config, keep upstream config

* Sat Apr 12 2008 Giuseppe Ghibò <ghibo@mandriva.com> 0.9.4-0.beta2.1mdv2009.0
+ Revision: 192605
- Update to release 0.9.4beta2.
- import usb_modeswitch


* Sat Apr 12 2008 Giuseppe Ghibò <ghibo@mandriva.com> 0.9.3-1mdv2008.1
- Initial release.
